Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.modeshape.graph.request
Class RequestException

    java.lang.Object
      java.lang.Throwable
          java.lang.Exception
              java.lang.RuntimeException
                  org.modeshape.graph.request.RequestException

All Implemented Interfaces:
  Serializable

Direct Known Subclasses:
  InvalidRequestException, InvalidWorkspaceException, MultipleRequestFailuresException, UnsupportedRequestException

    @Immutable
    public abstract class RequestException

extends RuntimeException

Specifies that the request was invalid and could not be completed.

See Also:
  Serialized Form

Constructor Summary
`protected` | `RequestException()`
`protected` | `RequestException(String message)`
`protected` | `RequestException(String message, Throwable cause)`
`protected` | `RequestException(Throwable cause)`

Method Summary

Methods inherited from class java.lang.Throwable
`fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### RequestException

    protected RequestException()

### RequestException

    protected RequestException(String message)

Parameters:
  `message` -

### RequestException

    protected RequestException(Throwable cause)

Parameters:
  `cause` -

### RequestException

    protected RequestException(String message,
                               Throwable cause)

Parameters:
  `message` -
  `cause` -

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2008-2012 JBoss, a division of Red Hat. All Rights Reserved.